<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetBitmapInfo Method (IEdmBitmap5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBitmap5 Interface : GetBitmapInfo Method (IEdmBitmap5)

Visual Basic
C#
C++/CLI

lDataSize
  Size of pbData (see Remarks)

pbData
  Buffer in which to return the bitmap information

Gets bitmap information.

# Syntax

Visual Basic |
--- | ---

    Sub GetBitmapInfo( _
       ByVal lDataSize As System.Integer, _
       ByRef pbData As System.Byte _
    )

C# |
--- | ---

    void GetBitmapInfo(
       System.int lDataSize,
       out System.byte pbData
    )

C++/CLI |
--- | ---

    void GetBitmapInfo(
    &   System.int lDataSize,
    &   [Out] System.byte pbData
    )

#### Parameters

lDataSize
  Size of pbData (see Remarks)
pbData
  Buffer in which to return the bitmap information

# Remarks

Before calling this method, you must properly allocate the size of the pbData buffer. Call IEdmBitmap5::GetBitmapInfoSize to determine the size of buffer to allocate and to specify lDataSize.

Return codes:

- S_OK: The method successfully executed.
- E_INVALIDARG: lDataSize does not match the size of the returned structure.

# See Also

####

IEdmBitmap5 Interface
IEdmBitmap5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2